This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 966222 - Review Request: nodejs-bignumber-js - Library for decimal and non-decimal arithmetic
Review Request: nodejs-bignumber-js - Library for decimal and non-decimal ari...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 966223
  Show dependency treegraph
 
Reported: 2013-05-22 15:55 EDT by Troy Dawson
Modified: 2013-10-18 15:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: nodejs-bignumber-js-1.2.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:35:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-22 15:55:56 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bignumber.js.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bignumber.js-1.0.1-1.fc20.src.rpm
Description: A library for arbitrary-precision decimal and non-decimal arithmetic.
Fedora Account System Username: tdawson
Comment 1 Marek Mahut 2013-10-03 09:55:35 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6019718

Troy, all looks good except for the name. The used convention looks to be "-js" instead of ".js" - can you please rename it?
Comment 2 Troy Dawson 2013-10-03 17:15:58 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bignumber.js.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bignumber.js-1.2.0-1.fc20.src.rpm

- Updated to the latest release
- I don't understand what you mean by the convention is -js instead of .js.  The name of the package is bignumber.js, and all the packages and dependencies expect it to have that name.  Or am I not understanding what you are saying.
Comment 3 Troy Dawson 2013-10-07 10:31:33 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-bignumber-js.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/
nodejs-bignumber-js-1.2.0-2.fc20.src.rpm

- Renamed to conform to Fedora naming guidelines
-- https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Separators
- Checked to make sure it still provides npm(bignumber.js)
-- This maintains compatibility with other scripts that depend on it.
Comment 4 Marek Mahut 2013-10-07 10:55:10 EDT
Discussed the dot over IRC.

Thank you Troy, looks good!
Comment 5 Troy Dawson 2013-10-07 11:25:25 EDT
New Package SCM Request
=======================
Package Name: nodejs-bignumber-js
Short Description: Library for decimal and non-decimal arithmetic
Owners: tdawson
Branches: f18 f19 f20 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-10-07 11:41:20 EDT
Requested package name nodejs-bignumber-js doesn't match bug summary
nodejs-bignumber.js, please correct.
Comment 7 Troy Dawson 2013-10-07 11:52:42 EDT
Summary updated to match final name of package
Comment 8 Troy Dawson 2013-10-07 11:53:22 EDT
New Package SCM Request
=======================
Package Name: nodejs-bignumber-js
Short Description: Library for decimal and non-decimal arithmetic
Owners: tdawson
Branches: f18 f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-10-07 12:12:16 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-07 12:56:37 EDT
nodejs-bignumber-js-1.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-bignumber-js-1.2.0-2.fc19
Comment 11 Fedora Update System 2013-10-09 20:53:06 EDT
nodejs-bignumber-js-1.2.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-10-18 15:35:32 EDT
nodejs-bignumber-js-1.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.